> ## Documentation Index
> Fetch the complete documentation index at: https://docs.randomseed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# v1/status/:request_id

> Get the status of the request

### API key

Create your account on [RandomSeed](https://randomseed.co/signup) & grab your [api key](https://randomseed.co/api-reference/integrate)

### Headers

<ParamField header="Authorization" type="string">
  Your API key. This is required by most endpoints to access our API programatically. You can get your api key by clicking on 'API reference' tab under your profile icon.
</ParamField>

### Params

<ParamField header="request_id" type="string">
  Your request id from txt2img or img2img endpoint. It should be located in the response payload under `response["result"]["id"]`
</ParamField>

### Response

<ResponseField name="executionTime" type="integer">
  How long it took to process the request
</ResponseField>

<ResponseField name="id" type="string">
  Request id
</ResponseField>

<ResponseField name="output" type="object">
  <Expandable title="properties">
    <ResponseField name="image_urls" type="string[]">
      Contains image urls for the generated images
    </ResponseField>
  </Expandable>

  <ResponseField name="staus" type="string">
    Status of the response. Can be one of `IN_QUEUE`, `IN_PROGRESS`,  `FAILED`, `COMPLETED`
  </ResponseField>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location "https://randomseed.lol/v1/status/${REQUEST_ID}" \
    --header "Authorization: Bearer $RANDOMSEED_API_KEY" \
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "executionTime": 12936,
    "id": "${REQUEST_ID}",
    "output": {
      "image_urls": [
        "..."
      ],
    },
    "status": "COMPLETED"
  }
  ```
</ResponseExample>
